Subject: Re: [Acme] Benjamin Kaduk's Yes on draft-ietf-acme-email-smime-13: (with COMMENT)

From: Alexey Melnikov <[email-masked]>
Date: Mon, 15 Feb 2021 17:50:21 +0000

Hi Ben,

On 13/01/2021 23:04, Benjamin Kaduk via Datatracker wrote:
> Thanks for the updates to get to the -13; they look really good.
>
> The new text did inspire one further comment, though I don't see a
> particular text change that might result, plus I spotted a few editorial nits.
>
> Section 1
>
>     1.  A Mail User Agent (MUA) which has built in ACME client aware of
>         the extension described in this document.  (We will call such
>         ACME clients "ACME-email-aware") Such MUA can present nice User
>         Interface to the user and automate certificate issuance.
>
> (nit?) In the parenthetical, are we calling the ACME clients or the MUA
> "ACME-email-aware"?  Also, full stop for the end of the sentence.
>
> Section 3
>
> (nit?) In step 8, the MUST-level requirement in the last sentence probably
> promotes it into not being a parenthetical.
>
> Section 3.1
>
>            If S/MIME signing is used, the certificate corresponding to
>            the signer MUST have rfc822Name subjectAltName extension with
>            the value equal to the From header field email address of the
>            "challenge" email.
>
> A strict equality requirement might make it operationally challenging to
> use a unique "from" challenge for each request.  I don't see any
> feasible alternative, though, as getting into + suffixes in the local
> part seems like a non-starter for this document.
I am afraid so.
> Also, nit: s/subjectAltName extension/a subjectAltName extension/

Applied all of the above. Thanks.

Best Regards,

Alexey